| Elektra 0.11.0

Classes | Namespaces
backendbuilder.hpp File Reference

Implements a way to build backends. More...

`#include <memory>`
`#include <set>`
`#include <vector>`
`#include <kdb.hpp>`
`#include <backend.hpp>`
`#include <plugin.hpp>`
`#include <plugindatabase.hpp>`
`#include <pluginspec.hpp>`

## Classes
class | kdb::tools::BackendBuilderInit
| Used as argument of constructor of *BackendBuilder. More...
class | kdb::tools::BackendBuilder
| Highlevel interface to build a backend. More...
class | kdb::tools::GlobalPluginsBuilder
| Build global plugins. More...
class | kdb::tools::MountBackendBuilder
| High-level functionality to build a mountpoint. More...

## Namespaces
namespace | kdb
| This is the main namespace for the C++ binding and libraries.
namespace | kdb::tools
| This namespace is for the libtool library.

## Detailed Description

Implements a way to build backends.

Copyright
  BSD License (see LICENSE.md or https://www.libelektra.org)